- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TSqliteTableColumn
TSqliteTableInfo

Keyword

# Class TSqliteTableInfo

    TComponent
       |
       --TDbTableInfo
          |
          --TSqliteTableInfo

TSqliteTableInfo class provides additional table information for PostgreSQL database.

Since: 3.1
Author: Wei Zhuo <weizho[at]gmail[dot]com>

Method Summary
TDbCommandBuilder | createCommandBuilder ( TDbConnection $connection)
string | getTableFullName ()

Methods Inherited From TDbTableInfo
TDbTableInfo::createCommandBuilder(), TDbTableInfo::getColumn(), TDbTableInfo::getColumnNames(), TDbTableInfo::getColumns(), TDbTableInfo::getForeignKeys(), TDbTableInfo::getInfo(), TDbTableInfo::getIsView(), TDbTableInfo::getLowerCaseColumnNames(), TDbTableInfo::getPrimaryKeys(), TDbTableInfo::getTableFullName(), TDbTableInfo::getTableName(), TDbTableInfo::setInfo()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Method Details

## createCommandBuilder

public TDbCommandBuilder createCommandBuilder | (TDbConnection $connection )

Input
TDbConnection | $connection | database connection.
Output
TDbCommandBuilder | new command builder
Exception

## getTableFullName

public string getTableFullName | ()

Output
string | full name of the table, database dependent.
Exception